---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-application
  labels: 
    app: nginx
spec:
  selector:
    matchLabels:
      app: nginx
  replicas: 4
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:1.15
        ports:
        - containerPort: 80
          name: nginx
